OpenShot Audio Library | OpenShotAudio: juce::GZIPDecompressorInputStream Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::GZIPDecompressorInputStream Class Reference

`#include <juce_GZIPDecompressorInputStream.h>`

Inheritance diagram for juce::GZIPDecompressorInputStream:

## Public Types
enum | Format { zlibFormat = 0 , deflateFormat , gzipFormat }

## Public Member Functions
| GZIPDecompressorInputStream (InputStream *sourceStream, bool deleteSourceWhenDestroyed, Format sourceFormat=zlibFormat, int64 uncompressedStreamLength=-1)
| GZIPDecompressorInputStream (InputStream &sourceStream)
| ~GZIPDecompressorInputStream () override
int64 | getPosition () override
bool | setPosition (int64 pos) override
int64 | getTotalLength () override
bool | isExhausted () override
int | read (void *destBuffer, int maxBytesToRead) override
Public Member Functions inherited from juce::InputStream
virtual | ~InputStream ()=default
int64 | getNumBytesRemaining ()
ssize_t | read (void *destBuffer, size_t maxBytesToRead)
virtual char | readByte ()
virtual bool | readBool ()
virtual short | readShort ()
virtual short | readShortBigEndian ()
virtual int | readInt ()
virtual int | readIntBigEndian ()
virtual int64 | readInt64 ()
virtual int64 | readInt64BigEndian ()
virtual float | readFloat ()
virtual float | readFloatBigEndian ()
virtual double | readDouble ()
virtual double | readDoubleBigEndian ()
virtual int | readCompressedInt ()
virtual String | readNextLine ()
virtual String | readString ()
virtual String | readEntireStreamAsString ()
virtual size_t | readIntoMemoryBlock (MemoryBlock &destBlock, ssize_t maxNumBytesToRead=-1)
virtual void | skipNextBytes (int64 numBytesToSkip)

## Detailed Description

This stream will decompress a source-stream using zlib.

Tip: if you're reading lots of small items from one of these streams, you can increase the performance enormously by passing it through a BufferedInputStream, so that it has to read larger blocks less often.

See also
  GZIPCompressorOutputStream

Definition at line 38 of file juce_GZIPDecompressorInputStream.h.

## Member Enumeration Documentation

## ◆ Format

enum juce::GZIPDecompressorInputStream::Format

Definition at line 41 of file juce_GZIPDecompressorInputStream.h.

## Constructor & Destructor Documentation

## ◆ GZIPDecompressorInputStream() [1/2]

juce::GZIPDecompressorInputStream::GZIPDecompressorInputStream | ( | InputStream * | sourceStream,
|  | bool | deleteSourceWhenDestroyed,
|  | Format | sourceFormat = zlibFormat,
|  | int64 | uncompressedStreamLength = -1 )

Creates a decompressor stream.

Parameters

  sourceStream | the stream to read from
  deleteSourceWhenDestroyed | whether or not to delete the source stream when this object is destroyed
  sourceFormat | can be used to select which of the supported formats the data is expected to be in
  uncompressedStreamLength | if the creator knows the length that the uncompressed stream will be, then it can supply this value, which will be returned by getTotalLength()

Definition at line 183 of file juce_GZIPDecompressorInputStream.cpp.

## ◆ GZIPDecompressorInputStream() [2/2]

juce::GZIPDecompressorInputStream::GZIPDecompressorInputStream | ( | InputStream & | sourceStream | ) |

Creates a decompressor stream.

Parameters

  sourceStream | the stream to read from - the source stream must not be deleted until this object has been destroyed

Definition at line 194 of file juce_GZIPDecompressorInputStream.cpp.

## ◆ ~GZIPDecompressorInputStream()

juce::GZIPDecompressorInputStream::~GZIPDecompressorInputStream | ( |  | ) |
| override

Destructor.

Definition at line 204 of file juce_GZIPDecompressorInputStream.cpp.

## Member Function Documentation

## ◆ getPosition()

int64 juce::GZIPDecompressorInputStream::getPosition | ( |  | ) |
| overridevirtual

Returns the offset of the next byte that will be read from the stream.

See also
  setPosition

Implements juce::InputStream.

Definition at line 270 of file juce_GZIPDecompressorInputStream.cpp.

## ◆ getTotalLength()

int64 juce::GZIPDecompressorInputStream::getTotalLength | ( |  | ) |
| overridevirtual

Returns the total number of bytes available for reading in this stream.

Note that this is the number of bytes available from the start of the stream, not from the current position.

If the size of the stream isn't actually known, this will return -1.

See also
  getNumBytesRemaining

Implements juce::InputStream.

Definition at line 208 of file juce_GZIPDecompressorInputStream.cpp.

## ◆ isExhausted()

bool juce::GZIPDecompressorInputStream::isExhausted | ( |  | ) |
| overridevirtual

Returns true if the stream has no more data to read.

Implements juce::InputStream.

Definition at line 265 of file juce_GZIPDecompressorInputStream.cpp.

## ◆ read()

int juce::GZIPDecompressorInputStream::read | ( | void * | destBuffer,
|  | int | maxBytesToRead )
| overridevirtual

Reads some data from the stream into a memory buffer.

This is the only read method that subclasses actually need to implement, as the InputStream base class implements the other read methods in terms of this one (although it's often more efficient for subclasses to implement them directly).

Parameters

  destBuffer | the destination buffer for the data. This must not be null.
  maxBytesToRead | the maximum number of bytes to read - make sure the memory block passed in is big enough to contain this many bytes. This value must not be negative.

Returns
  the actual number of bytes that were read, which may be less than maxBytesToRead if the stream is exhausted before it gets that far

Implements juce::InputStream.

Definition at line 213 of file juce_GZIPDecompressorInputStream.cpp.

## ◆ setPosition()

bool juce::GZIPDecompressorInputStream::setPosition | ( | int64 | newPosition | ) |
| overridevirtual

Tries to move the current read position of the stream.

The position is an absolute number of bytes from the stream's start.

Some streams might not be able to do this, in which case they should do nothing and return false. Others might be able to manage it by resetting themselves and skipping to the correct position, although this is obviously a bit slow.

Returns
  true if the stream manages to reposition itself correctly

See also
  getPosition

Implements juce::InputStream.

Definition at line 275 of file juce_GZIPDecompressorInputStream.cpp.

The documentation for this class was generated from the following files:

- juce_GZIPDecompressorInputStream.h
- juce_GZIPDecompressorInputStream.cpp